# Class CIM_ListenerDestination
extends CIM_ManagedElement

The description of a CIM Listener destination. A CIM_Listener is an entity capable of receiving CIM Export Messages (e.g., Indications or responses to an asynchronous CIM Operation).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ListenerDestination

## Direct Known Subclasses

CIM_IndicationHandler
CIM_ListenerDestinationCIMXML
CIM_ListenerDestinationWSManagement

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | The description of a CIM Listener destination. A CIM_Listener is an entity capable of receiving CIM Export Messages (e.g., Indications or responses to an asynchronous CIM Operation).
UMLPackagePath | string | CIM::Event
Version | string | 2.39.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Description | string | Indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, it allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
Destination | string |
Description | string | The destination IETF URI to which Export Messages are to be delivered. The scheme in the URI must be supported by theprotocol selected in the Protocol property.
Name | string |
Description | string | Indicates the name of the CIM Listener destination.
Key | boolean | true
MaxLen | uint32 | 256
OtherPersistenceType | string |
Description | string | A string describing ("Other") values for PersistenceType. This value MUST be set to a non NULL value when the PersistenceType is 1 ("Other"). For all other values of PersistenceType, the value of OtherPersistenceType MUST be NULL.
ModelCorrespondence | string | CIM_ListenerDestination.PersistenceType
OtherProtocol | string |
Description | string | A free-form string providing a description of the supported protocols when 1, "Other", is specified for the Protocol.
ModelCorrespondence | string | CIM_ListenerDestination.Protocol
PersistenceType | uint16 |

Description

string

Describes the Persistence Type of the destination defined by this instance. If the value of PersistenceType is not specified, the value of PersistenceType MUST be treated as 2 ("Permanent"). A value of 2 ("Permanent") declares that the destination is always expected to be available (e.g., system log file). Inability to access this destination MUST be treated as an error condition. A value of 3 ("Transient") indicates that the destination is short-lived. Inability to access the destination MAY be treated as a normal termination condition. Subscriptions with "Transient" destinations MAY be deleted when the destination terminates or is no longer available.

ModelCorrespondence | string | CIM_ListenerDestination.OtherPersistenceType
ValueMap | string | 1, 2, 3
Values | string | Other, Permanent, Transient
Protocol | uint16 | 2
Description | string | Protocol describes an encoding and protocol which will be used to deliver the indication. If Other is used, the value for OtherProtocol must not be null. If a protocol is not specified, 2 "CIM-XML" must be assumed.
ModelCorrespondence | string | CIM_ListenerDestination.OtherProtocol
ValueMap | string | 1, 2, 3, 4, 5, 6, ..
Values | string | Other, CIM-XML, SM CLP, WS-Management, WSDM, SMTP, DMTF Reserved
SystemCreationClassName | string |
Description | string | A System's CreationClassName. A CIM Listener destination is defined in context of a CIM_System (e.g., the sending system.
Key | boolean | true
MaxLen | uint32 | 256
SystemName | string |
Description | string | A System's Name. A CIM Listener destination is defined in context of a CIM_System (e.g., the sending system.
Key | boolean | true
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods